<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="3ccba965-41e2-43dc-b6d1-ac72179922d8" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <splitter split-orientation="horizontal" split-proportion="0.51105845">
      <split-first>
        <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
          <file pinned="false" current-in-tab="true">
            <entry file="file://$PROJECT_DIR$/README.md">
              <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
                <state split_layout="FIRST">
                  <first_editor relative-caret-position="252">
                    <caret line="12" column="120" selection-start-line="12" selection-start-column="120" selection-end-line="12" selection-end-column="120" />
                  </first_editor>
                  <second_editor />
                </state>
              </provider>
            </entry>
          </file>
          <file pinned="false" current-in-tab="false">
            <entry file="file://$PROJECT_DIR$/experiments/drl/utils.py">
              <provider selected="true" editor-type-id="text-editor">
                <state relative-caret-position="100">
                  <caret line="15" column="3" selection-start-line="15" selection-start-column="3" selection-end-line="15" selection-end-column="3" />
                </state>
              </provider>
            </entry>
          </file>
        </leaf>
      </split-first>
      <split-second>
        <leaf>
          <file pinned="false" current-in-tab="true">
            <entry file="file://$PROJECT_DIR$/README.md">
              <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
                <state split_layout="SECOND">
                  <first_editor relative-caret-position="371">
                    <caret line="21" selection-start-line="21" selection-end-line="21" />
                  </first_editor>
                  <second_editor />
                </state>
              </provider>
            </entry>
          </file>
        </leaf>
      </split-second>
    </splitter>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>nump</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/scripts/river_benchmark.py" />
        <option value="$PROJECT_DIR$/deepRL_algos/data_generator.py" />
        <option value="$PROJECT_DIR$/deepRL_algos/base_agent.py" />
        <option value="$PROJECT_DIR$/deepRL_algos/fcpo.py" />
        <option value="$PROJECT_DIR$/deepRL_algos/minimal_ppo.py" />
        <option value="$PROJECT_DIR$/deepRL_algos/ppo.py" />
        <option value="$PROJECT_DIR$/deepRL_algos/train.py" />
        <option value="$PROJECT_DIR$/experiments/drl/utils.py" />
        <option value="$PROJECT_DIR$/requirements.txt" />
        <option value="$PROJECT_DIR$/README.md" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="65" />
    <option name="y" value="87" />
    <option name="width" value="2312" />
    <option name="height" value="1185" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="codebase" type="b2602c69:ProjectViewProjectNode" />
              <item name="codebase" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="codebase" type="b2602c69:ProjectViewProjectNode" />
              <item name="codebase" type="462c0819:PsiDirectoryNode" />
              <item name="envs" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="codebase" type="b2602c69:ProjectViewProjectNode" />
              <item name="codebase" type="462c0819:PsiDirectoryNode" />
              <item name="experiments" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="3ccba965-41e2-43dc-b6d1-ac72179922d8" name="Default Changelist" comment="" />
      <created>1653570609680</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1653570609680</updated>
      <workItem from="1653570613714" duration="281000" />
      <workItem from="1653571059255" duration="4183000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="4464000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="65" y="87" width="2312" height="1185" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.16387665" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32934684" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="8" />
      <window_info anchor="bottom" id="Database Changes" order="9" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Terminal" order="11" visible="true" weight="0.24563017" />
      <window_info anchor="bottom" id="Python Console" order="12" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="SciView" order="3" />
      <window_info anchor="right" id="Database" order="4" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/slurm/drl/hc_family/hyper_sweep.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-2574" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/slurm/drl/u_maze/hyper_sweep.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/slurm/river_jobs.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-504" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/experiments/tabular/utils.py">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="e#42#60#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/deepRL_algos/data_generator.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="18">
          <caret line="1" selection-start-line="1" selection-end-line="1" selection-end-column="78" />
          <folding>
            <element signature="e#40#58#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/deepRL_algos/base_agent.py">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="e#0#12#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/deepRL_algos/fcpo.py">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret selection-end-line="2" selection-end-column="3" />
          <folding>
            <element signature="e#0#18#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/deepRL_algos/lag_ppo.py">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="e#0#18#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/deepRL_algos/minimal_ppo.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="36">
          <caret line="2" column="3" selection-start-line="2" selection-start-column="3" selection-end-line="2" selection-end-column="3" />
          <folding>
            <element signature="e#0#18#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/deepRL_algos/ppo.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="36">
          <caret line="2" column="3" selection-start-line="2" selection-start-column="3" selection-end-line="2" selection-end-column="3" />
          <folding>
            <element signature="e#0#18#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/deepRL_algos/train.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="756">
          <caret line="42" column="62" selection-start-line="42" selection-start-column="62" selection-end-line="42" selection-end-column="62" />
          <folding>
            <element signature="e#0#15#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/deepRL_algos/utils.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/envs/mujoco_bots/custom_half_cheetah.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-3096" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/envs/mujoco_bots/custom_point.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/envs/__init__.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/tabular_algos/base_algo.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/tabular_algos/fair_lp_solver.py">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="e#0#18#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tabular_algos/utils.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/tabular_algos/opu_fair_lp_solver.py">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="e#0#18#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tabular_algos/op_algorithm.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/scripts/river_benchmark.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-36">
          <caret line="4" column="13" selection-start-line="4" selection-start-column="13" selection-end-line="4" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/experiments/tabular/benchmark_river_swim.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-2706" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/requirements.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="412">
          <caret line="45" column="34" selection-start-line="45" selection-start-column="34" selection-end-line="45" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/experiments/drl/utils.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="15" column="3" selection-start-line="15" selection-start-column="3" selection-end-line="15" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/Downloads/group_fairness_in_reinforcemen-Supplementary Material/codebase/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="-74" />
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/experiments/logx.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/experiments/drl/train_fcpo.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-2859">
          <folding>
            <element signature="e#0#9#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/envs/common.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/envs/exceptions.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/experiments/drl/env_creation_utils.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="FIRST">
          <first_editor relative-caret-position="252">
            <caret line="12" column="120" selection-start-line="12" selection-start-column="120" selection-end-line="12" selection-end-column="120" />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
  </component>
</project>